Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		shadow
Version:	4.1.2.1
Release:	1
License:	GNU/GPL 
URL:		http://pkg-shadow.alioth.debian.org
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
Source1:	pamd_login
Source2:	pamd_su
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The Shadow package contains programs for handling passwords in a secure way.
Requires:	bash binutils bison coreutils diffutils gettext grep pam >= 0.80-6
BuildRequires:	pam-devel >= 1.0.1-1
BuildRequires:  glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Shadow password file utilities package includes the programs necessary to convert traditional
V7 UNIX password files to the SVR4 shadow password format, and additional tools to maintain
password and group files (that work with both shadow and non-shadow passwords).
For more details see: http://pkg-shadow.alioth.debian.org

%post
ldconfig

%postun
ldconfig

%prep

%setup -n %{name}-%{version}

%build
./configure 	--libdir=/lib \
		--sysconfdir=%_sysconfdir \
		--enable-shared \
		--with-libpam \
		--without-libcrack \
		--mandir=%_mandir \
		--with-selinux=no
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv -v $RPM_BUILD_ROOT/usr/bin/passwd $RPM_BUILD_ROOT/bin

install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/etc/login.defs $RPM_BUILD_ROOT%_sysconfdir

rm -rf $RPM_BUILD_ROOT%_sysconfdir/pam.d/login
rm -rf $RPM_BUILD_ROOT%_sysconfdir/pam.d/su
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/pam.d/login
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/pam.d/su

for FUNCTION in LASTLOG_ENAB MAIL_CHECK_ENAB \
                PORTTIME_CHECKS_ENAB CONSOLE \
                MOTD_FILE NOLOGINS_FILE PASS_MIN_LEN \
                SU_WHEEL_ONLY MD5_CRYPT_ENAB \
                CONSOLE_GROUPS ENVIRON_FILE \
                ULIMIT ENV_TZ ENV_HZ \
                ENV_PATH QMAIL_DIR MAIL_DIR MAIL_FILE \
                CHFN_AUTH FAILLOG_ENAB QUOTAS_ENAB FTMP_FILE
do
    sed -i -e "s/^$FUNCTION/# &/" $RPM_BUILD_ROOT/etc/login.defs
done

for FUNCTION in OBSCURE_CHECKS_ENAB CRACKLIB_DICTPATH \
                PASS_CHANGE_TRIES PASS_ALWAYS_WARN
do
    sed -i -e "s/^$FUNCTION/# &/" $RPM_BUILD_ROOT/etc/login.defs
done


find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

#FIXME
#Temp fix for conflictes with existing packages
rm -f $RPM_BUILD_ROOT/%_sysconfdir/default/useradd
rm -f $RPM_BUILD_ROOT/%_mandir/man1/groups.1

%files
%defattr(-,root,root)
/bin/groups
/bin/login
/bin/passwd
/bin/su
/sbin/nologin
%_sysconfdir
# included in util-linux-ng package
%exclude %_sysconfdir/pam.d/chfn
%exclude %_sysconfdir/pam.d/chsh
#
%_bindir/*
%_mandir/*
%_sbindir/*
%_datadir/locale/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2.1-1
- Version update
* Sun Jun 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- Version update
* Tue May 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.0.18.1-2
- rebuilt against pam 0.99.7.0
* Mon Sep 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.18.1-1
- Version update
- added useradd/usermod group invalid argument patch
* Tue Aug 08 2006 Christian Metzen <metzench@ccux-linux.de> 4.0.18-2
- Temp fixme for file conflicts
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.18-1
- Version update
* Tue Jul 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.17-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.16-1
- Version update
* Mon Feb 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.14-1
- Version update
* Tue Oct 11 2005 Christian Wasem <wasem@ccux-linux.de> 4.0.13-1
- Update to Version 4.0.13
* Sat Aug 27 2005 Christian Metzen <metzench@ccux-linux.de> 4.0.12-2
- adopted login for system-auth
* Sat Aug 27 2005 Christian Metzen <metzench@ccux-linux.de> 4.0.12-1
- Version update, fixed minor bug
* Sun Aug 14 2005 Christian Metzen <metzench@ccux-linux.de> 4.0.11-1
- Version update, added pam authentication to system
* Tue Jun 29 2005 Christian Wasem <wasem@ccux-linux.de> 4.0.10-1
- update to Version 4.0.10
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 4.0.4.1-1
- Initial Release
